Imports System.Collections.ObjectModel
Imports EgtBEAMWALL.Core
Imports EgtUILib
Imports EgtWPFLib5

Public Class QBTLParamVM
   Inherits BTLParamVM

   Private m_Process As Integer
   Public Property Process As Integer
      Get
         Return m_Process
      End Get
      Set(value As Integer)
         m_Process = value
      End Set
   End Property

   Private m_GroupType As GRPType
   Public ReadOnly Property GroupType As String
      Get
         If m_GroupType = GRPType.T Then Return "T"
         If m_GroupType = GRPType.L Then Return "L"
         Return ""
      End Get
   End Property

   Private m_Name As String
   Public ReadOnly Property Name As String
      Get
         Return m_Name
      End Get
   End Property

   Public ReadOnly Property ghDesc As String
      Get
         Return GroupType & Process.ToString("000") & " " & Name
      End Get
   End Property

#Region "CONSTRUCTOR"

   Sub New(BTLParamM As BTLParamM, GroupType As GRPType, Process As Integer)
      MyBase.New(BTLParamM)
      m_BTLParamM = BTLParamM
      m_Process = Process
      m_GroupType = GroupType
      m_Name = GetBeamPrivateProfileName(GroupType, Process)
   End Sub

#End Region    ' CONSTRUCTOR

End Class
